QGIS Application - Bug report #19575
QWebPage: No such file or directory
2018-08-09 12:41 PM - nicolas zzzz

Status: Reopened
Priority: Normal
Assignee:

Category: Build/Install

Affected QGIS version:3.3(master)

Operating System: Ubuntu 16.04 (4.15.0-29-generic x86_64 G

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No

M dyirfincP: No
Resolution:

Copied to github as #: 27402

Description

| encountered this error during QGIS compilation on Ubuntu Xenial (4.15.0-29-generic x86_64 GNU/Linux):

In file included from /opt/QGIS/src/core/annotations/qgshtmlannotation.cpp:26:0:
/opt/QGIS/src/core/qgswebpage.h:26:20: fatal error: QWebPage: No such file or directory

compilation terminated.

History

#1 - 2018-08-10 01:43 PM - nicolas zzzz
- Status changed from Open to Closed

#2 - 2018-08-10 01:49 PM - nicolas zzzz
- Status changed from Closed to Reopened

#3 - 2018-08-10 02:39 PM - nicolas zzzz

QtWebKit doen't exist in Qt > 5.6.

Hint(?): One would probably use QtWebEngine instead.

#4 - 2018-08-10 03:36 PM - Alessandro Pasotti

Maybe you are hitting #19522
